最新消息:

Xcode 9 新建的工程如何支持 iOS 8

iOS/MacOSX/移动安全 exchen 98浏览 0评论

使用 Xcode 9 新建工程,如果设置支持最低系统版本为 iOS 8 就报错,提示如下:

看这提示的意思是说 Safe Area Layout Guide 不支持 iOS 9.0 之前的版本,那就把这个东西给关掉就能解决,方法是点击 Main.storyboard,选择 ViewController 去掉 Use Safe Area Layout Guide,如下图所示:

然后再选择 LaunchScreen.storyboard,用同样的方法去掉 Use Safe Area Layout Guide,再编译程序就没问题了。

转载请注明:exchen's blog » Xcode 9 新建的工程如何支持 iOS 8

发表我的评论
取消评论
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址